Subject: Re: [PATCH] staging: et131x: Fix errors caused by phydev->addr accesses before initialisation

From: Greg KH <[email-masked]>
Date: Sat, 9 Aug 2014 21:39:17 -0700

On Tue, Aug 05, 2014 at 11:57:06PM +0100, Mark Einon wrote:
> Fix two reported bugs, caused by et131x_adapter->phydev->addr being accessed
> before it is initialised, by:
> 
> - letting et131x_mii_write() take a phydev address, instead of using the one
>   stored in adapter by default. This is so et131x_mdio_write() can use it's own
>   addr value.
> - removing implementation of et131x_mdio_reset(), as it's not needed.
> - moving a call to et131x_disable_phy_coma() in et131x_pci_setup(), which uses
>   phydev->addr, until after the mdiobus has been registered.
> 
> Link: https://bugzilla.kernel.org/show_bug.cgi?id=80751
> Link: https://bugzilla.kernel.org/show_bug.cgi?id=77121
> Cc: [email-masked]
> Signed-off-by: Mark Einon <[email-masked]>
> ---
>  drivers/staging/et131x/et131x.c | 68 ++++++++++++++++-------------------------
>  1 file changed, 27 insertions(+), 41 deletions(-)

I got 3 copies of this patch, all look to be different?

I don't know what to do, so I've deleted them all, please resend the
version you want me to apply.

thanks,

greg k-h